<table class="table border-0">
    <tbody>
        <tr *ngFor="let AttachmentComponent of AttachmentComponentArray; let i = index;" >
            <td class="td-border">
                <label for="">Upload File</label>
                <input name="upload_file" [(ngModel)]="AttachmentComponentArray[i].upload_file"  type="file" class="form-control b-4">
            </td>
            <td class="td-border">
                <label for="">File Name</label>
                <input name="file_name" [(ngModel)]="AttachmentComponentArray[i].file_name" type="text" class="form-control b-4">
            </td>
            <td (click)="deleteRow(i)" class="td-border text-center">
                <a  class="text-danger"><i class="fa fa-times text-danger mt-4 pt-3"
                        aria-hidden="true"></i></a>
            </td>
        </tr>
    </tbody>
</table>
<a (click)="addRow(i)"  class="btn btn-success ">+ Add Row</a>